/*
 * This file was automatically generated by EvoSuite
 * Fri Jan 12 11:09:11 GMT 2018
 */

package uk.ac.sanger.artemis;

import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import java.io.FileNotFoundException;
import java.io.IOException;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.evosuite.runtime.mock.java.io.MockFile;
import org.junit.runner.RunWith;
import uk.ac.sanger.artemis.ComparisonDataFactory;
import uk.ac.sanger.artemis.util.Document;
import uk.ac.sanger.artemis.util.FileDocument;
import uk.ac.sanger.artemis.util.ZipFileDocument;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class ComparisonDataFactory_ESTest extends ComparisonDataFactory_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try { 
        ComparisonDataFactory.readComparisonData((Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.ComparisonDataFactory", e);
      }
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      MockFile mockFile0 = new MockFile("k!N<+b#J1dS");
      FileDocument fileDocument0 = new FileDocument(mockFile0);
      try { 
        ComparisonDataFactory.readComparisonData(fileDocument0);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("org.evosuite.runtime.mock.java.io.MockFileInputStream", e);
      }
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      MockFile mockFile0 = new MockFile("BASE");
      ZipFileDocument zipFileDocument0 = new ZipFileDocument(mockFile0, "BASE");
      zipFileDocument0.getWriter();
      try { 
        ComparisonDataFactory.readComparisonData(zipFileDocument0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // End of file while reading from: org.evosuite.runtime.mock.java.io.MockFile@0000000006
         //
         verifyException("uk.ac.sanger.artemis.ComparisonDataFactory", e);
      }
  }

  @Test(timeout = 4000)
  public void test3()  throws Throwable  {
      ComparisonDataFactory comparisonDataFactory0 = new ComparisonDataFactory();
  }
}
