/**
 * Scaffolding file used to store all the setups needed to run 
 * tests automatically generated by EvoSuite
 * Fri Jan 12 15:53:27 GMT 2018
 */

package uk.ac.sanger.artemis;

import org.evosuite.runtime.annotation.EvoSuiteClassExclude;
import org.junit.BeforeClass;
import org.junit.Before;
import org.junit.After;
import org.junit.AfterClass;
import org.evosuite.runtime.sandbox.Sandbox;
import org.evosuite.runtime.sandbox.Sandbox.SandboxMode;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;

@EvoSuiteClassExclude
public class Options_ESTest_scaffolding {

  @org.junit.Rule 
  public org.evosuite.runtime.vnet.NonFunctionalRequirementRule nfr = new org.evosuite.runtime.vnet.NonFunctionalRequirementRule();

  protected static ExecutorService executor; 

  private static final java.util.Properties defaultProperties = (java.util.Properties) java.lang.System.getProperties().clone(); 

  private org.evosuite.runtime.thread.ThreadStopper threadStopper =  new org.evosuite.runtime.thread.ThreadStopper (org.evosuite.runtime.thread.KillSwitchHandler.getInstance(), 3000);


  @BeforeClass 
  public static void initEvoSuiteFramework() { 
    org.evosuite.runtime.RuntimeSettings.className = "uk.ac.sanger.artemis.Options"; 
    org.evosuite.runtime.GuiSupport.initialize(); 
    org.evosuite.runtime.RuntimeSettings.maxNumberOfThreads = 100; 
    org.evosuite.runtime.RuntimeSettings.maxNumberOfIterationsPerLoop = 10000; 
    org.evosuite.runtime.RuntimeSettings.mockSystemIn = true; 
    org.evosuite.runtime.RuntimeSettings.sandboxMode = org.evosuite.runtime.sandbox.Sandbox.SandboxMode.RECOMMENDED; 
    org.evosuite.runtime.sandbox.Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
    org.evosuite.runtime.classhandling.JDKClassResetter.init();
    setSystemProperties();
    initializeClasses();
    org.evosuite.runtime.Runtime.getInstance().resetRuntime(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    Sandbox.resetDefaultSecurityManager(); 
    executor.shutdownNow(); 
    java.lang.System.setProperties((java.util.Properties) defaultProperties.clone()); 
  } 

  @Before 
  public void initTestCase(){ 
    threadStopper.storeCurrentThreads();
    threadStopper.startRecordingTime();
    org.evosuite.runtime.jvm.ShutdownHookHandler.getInstance().initHandler(); 
    org.evosuite.runtime.sandbox.Sandbox.goingToExecuteSUTCode(); 
    setSystemProperties(); 
    org.evosuite.runtime.GuiSupport.setHeadless(); 
    org.evosuite.runtime.Runtime.getInstance().resetRuntime(); 
    org.evosuite.runtime.agent.InstrumentingAgent.activate(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    threadStopper.killAndJoinClientThreads();
    org.evosuite.runtime.jvm.ShutdownHookHandler.getInstance().safeExecuteAddedHooks(); 
    org.evosuite.runtime.classhandling.JDKClassResetter.reset(); 
    resetClasses(); 
    org.evosuite.runtime.sandbox.Sandbox.doneWithExecutingSUTCode(); 
    org.evosuite.runtime.agent.InstrumentingAgent.deactivate(); 
    org.evosuite.runtime.GuiSupport.restoreHeadlessMode(); 
  } 

  public static void setSystemProperties() {
 
    java.lang.System.setProperties((java.util.Properties) defaultProperties.clone()); 
    java.lang.System.setProperty("file.encoding", "UTF-8"); 
    java.lang.System.setProperty("java.awt.headless", "true"); 
    java.lang.System.setProperty("user.country", "GB"); 
    java.lang.System.setProperty("user.language", "en"); 
    java.lang.System.setProperty("user.timezone", "Europe/London"); 
    java.lang.System.setProperty("log4j.configuration", "SUT.log4j.properties"); 
  }

  private static void initializeClasses() {
    org.evosuite.runtime.classhandling.ClassStateSupport.initializeClasses(Options_ESTest_scaffolding.class.getClassLoader() ,
      "uk.ac.sanger.artemis.components.LogViewer$1",
      "org.biojava.bio.seq.AcceptNoneFilter",
      "org.biojava.bio.seq.io.SymbolTokenization$TokenType",
      "org.biojava.bio.seq.ByHierarchy",
      "org.apache.log4j.AppenderSkeleton",
      "com.ibatis.sqlmap.client.extensions.ParameterSetter",
      "uk.ac.sanger.artemis.OptionChangeEvent",
      "uk.ac.sanger.artemis.components.genebuilder.JExtendedComboBox",
      "com.sshtools.j2ssh.connection.SshMsgRequestFailure",
      "org.biojava.utils.stax.SAX2StAXAdaptor",
      "uk.ac.sanger.artemis.io.SimpleDocumentFeature",
      "uk.ac.sanger.artemis.sequence.BasePatternFormatException",
      "org.biojava.ontology.Ontology$Impl",
      "uk.ac.sanger.artemis.components.BasePlotGroup",
      "com.sshtools.j2ssh.sftp.SshFxpRmdir",
      "com.sshtools.j2ssh.authentication.PasswordAuthenticationClient",
      "com.sshtools.j2ssh.sftp.SshFxpOpenDir",
      "org.biojava.ontology.OntologyTerm$Impl",
      "com.sshtools.j2ssh.SshClient",
      "uk.ac.sanger.artemis.plot.CodonUsageAlgorithm",
      "uk.ac.sanger.artemis.EntryChangeListener",
      "org.biojava.ontology.Term",
      "org.biojava.utils.ListTools$Triplet",
      "org.biojava.bio.symbol.DoubleAlphabet$SubDoubleAlphabet",
      "uk.ac.sanger.artemis.sequence.AminoAcidSequence",
      "org.biojava.bio.symbol.AlphabetManager$AlphabetManagerHandler$AlphabetHandler$1",
      "uk.ac.sanger.artemis.Selectable",
      "org.apache.log4j.spi.Filter",
      "org.biojava.bio.seq.io.NameTokenization",
      "uk.ac.sanger.artemis.io.FeatureTable",
      "org.biojava.bio.seq.FramedFeature$ReadingFrame",
      "org.biojava.bio.seq.io.CharacterTokenization",
      "uk.ac.sanger.artemis.plot.NcAlgorithm",
      "org.biojava.bio.seq.homol.SimilarityPairFeature$EmptyPairwiseAlignment",
      "uk.ac.sanger.artemis.io.PublicDBDocumentEntry",
      "uk.ac.sanger.artemis.util.StringVector",
      "org.biojava.bio.seq.Feature$Template",
      "org.biojava.ontology.Ontology",
      "com.ibatis.common.beans.BaseProbe",
      "com.sshtools.j2ssh.transport.AsyncService",
      "com.ibatis.sqlmap.engine.mapping.statement.SelectKeyStatement",
      "uk.ac.sanger.artemis.plot.CumulativeATSkewAlgorithm",
      "org.gmod.schema.sequence.Synonym",
      "org.biojava.bio.symbol.SimpleAlphabet",
      "org.gmod.schema.sequence.FeatureCvTermProp",
      "uk.ac.sanger.artemis.components.genebuilder.gff.RemoveButton",
      "uk.ac.sanger.artemis.components.genebuilder.gff.PropertiesPanel",
      "org.apache.log4j.Hierarchy",
      "htsjdk.samtools.seekablestream.SeekableFileStream",
      "org.biojava.ontology.Triple",
      "uk.ac.sanger.artemis.sequence.MarkerRange",
      "org.biojava.utils.Changeable",
      "org.biojava.bio.symbol.EmptyLocation",
      "uk.ac.sanger.artemis.plot.GCFrameAlgorithm",
      "uk.ac.sanger.artemis.components.genebuilder.ReferencesPanel",
      "com.ibatis.common.util.PaginatedList",
      "uk.ac.sanger.artemis.io.QualifierInfoHash",
      "com.sshtools.j2ssh.connection.Channel",
      "org.apache.log4j.spi.OptionHandler",
      "uk.ac.sanger.artemis.SimpleEntryGroup",
      "com.ibatis.sqlmap.engine.cache.CacheModel",
      "org.biojava.bio.symbol.SimpleManyToOneTranslationTable",
      "org.biojava.utils.stax.DelegationManager",
      "org.apache.batik.ext.awt.ColorSpaceHintKey",
      "org.biojava.bio.seq.StrandedFeature",
      "uk.ac.sanger.artemis.plot.PositionalAsymmetryAlgorithm",
      "org.biojava.utils.lsid.LifeScienceIdentifier",
      "org.biojava.utils.ChangeVetoException",
      "org.biojava.bio.symbol.IllegalAlphabetException",
      "com.sshtools.j2ssh.sftp.SftpMessageStore",
      "org.biojava.bio.symbol.DoubleAlphabet$DoubleRange",
      "com.sshtools.j2ssh.connection.SshMsgChannelRequest",
      "htsjdk.samtools.seekablestream.SeekableStream",
      "com.sshtools.j2ssh.connection.ChannelEventListener",
      "uk.ac.sanger.artemis.components.Splash$2",
      "org.biojava.bio.symbol.AbstractTranslationTable",
      "org.gmod.schema.dao.GeneralDaoI",
      "com.ibatis.sqlmap.engine.exchange.DataExchangeFactory",
      "org.gmod.schema.dao.BaseDaoI",
      "org.apache.log4j.helpers.OptionConverter",
      "com.ibatis.sqlmap.client.SqlMapExecutor",
      "org.biojava.bio.seq.SimpleFeatureRealizer$TemplateImpl",
      "org.biojava.bio.symbol.Edit",
      "com.ibatis.sqlmap.client.SqlMapException",
      "uk.ac.sanger.artemis.io.MiscLineGroup",
      "uk.ac.sanger.artemis.editor.MultiLineToolTipUI",
      "uk.ac.sanger.artemis.io.LazyQualifierValue",
      "org.biojava.bio.AnnotationRenamer",
      "com.ibatis.sqlmap.engine.type.SqlTimeTypeHandler",
      "org.biojava.bio.symbol.AbstractSymbol",
      "uk.ac.sanger.artemis.components.FeatureDisplay$11",
      "org.biojava.utils.bytecode.CodeGenerator",
      "org.gmod.schema.cv.CvTerm",
      "uk.ac.sanger.artemis.sequence.SequenceChangeListener",
      "com.sshtools.j2ssh.subsystem.SubsystemMessage",
      "uk.ac.sanger.artemis.io.InvalidRelationException",
      "org.biojava.utils.bytecode.CodeMethod",
      "org.biojava.bio.seq.impl.FeatureImpl$1",
      "com.sshtools.j2ssh.transport.InvalidMessageException",
      "uk.ac.sanger.artemis.components.genebuilder.cv.CVPanel",
      "org.biojava.bio.Annotation",
      "org.biojava.bio.symbol.IntegerAlphabet$IntegerSymbol",
      "org.biojava.utils.lsid.LifeScienceIdentifierParseException",
      "org.biojava.bio.symbol.AlphabetManager$AlphabetManagerHandler$CharacterTokenizationHandler",
      "com.sshtools.j2ssh.authentication.AuthenticationProtocolClient",
      "org.apache.log4j.Category",
      "uk.ac.sanger.artemis.io.LocationParseException",
      "org.biojava.utils.ListTools$Mapper",
      "htsjdk.samtools.SAMException",
      "org.biojava.bio.seq.io.StreamParser",
      "uk.ac.sanger.artemis.util.FastVector",
      "org.biojava.bio.symbol.SimpleSymbol",
      "com.ibatis.common.beans.ComplexBeanProbe",
      "org.apache.log4j.helpers.ThreadLocalMap",
      "org.biojava.bio.symbol.AbstractSimpleBasisSymbol",
      "com.sshtools.j2ssh.transport.TransportProtocolEventHandler",
      "org.gmod.schema.sequence.FeatureDbXRef",
      "uk.ac.sanger.artemis.components.variant.AbstractVCFReader",
      "org.biojava.utils.ChangeEvent",
      "org.gmod.schema.pub.Pub",
      "uk.ac.sanger.artemis.io.ChadoCanonicalGene",
      "org.biojava.utils.stax.SAX2StAXAdaptor$S2SDelegationManager",
      "uk.ac.sanger.artemis.io.IndexedGFFDocumentEntry$IndexContig",
      "org.biojava.bio.symbol.SimpleCrossProductAlphabet",
      "org.biojava.bio.seq.DNATools",
      "uk.ac.sanger.artemis.components.Plot",
      "org.biojava.bio.seq.FramedFeature$1",
      "org.gmod.schema.sequence.FeatureCvTermDbXRef",
      "com.sshtools.j2ssh.transport.TransportProtocolState",
      "org.biojava.bio.symbol.AbstractManyToOneTranslationTable",
      "uk.ac.sanger.artemis.io.GenbankStreamSequence",
      "com.sshtools.j2ssh.connection.ChannelInputStream",
      "uk.ac.sanger.artemis.components.SegmentBorder",
      "com.sshtools.j2ssh.io.UnsignedInteger32",
      "com.ibatis.sqlmap.engine.cache.CacheController",
      "uk.ac.sanger.artemis.plot.CodonUsageWeight",
      "com.sshtools.j2ssh.sftp.SshFxpFStat",
      "htsjdk.samtools.util.RuntimeIOException",
      "org.biojava.bio.BioRuntimeException",
      "org.biojava.bio.seq.AcceptAllFilter",
      "org.biojava.bio.symbol.IntegerAlphabet$SubIntegerAlphabet",
      "org.biojava.bio.seq.homol.SimilarityPairFeature",
      "uk.ac.sanger.artemis.plot.KarlinSigAlgorithm",
      "org.gmod.schema.utils.propinterface.PropertyI",
      "uk.ac.sanger.artemis.plot.EntropyAlgorithm",
      "uk.ac.sanger.artemis.components.DisplayAdjustmentEvent",
      "org.biojava.utils.ParserException",
      "org.apache.log4j.spi.AppenderAttachable",
      "com.sshtools.j2ssh.SshException",
      "com.ibatis.sqlmap.engine.impl.SqlMapExecutorDelegate",
      "uk.ac.sanger.artemis.j2ssh.FTProgress",
      "uk.ac.sanger.artemis.io.GFF3AttributeAggregator",
      "org.gmod.schema.cv.Cv",
      "uk.ac.sanger.artemis.util.InputStreamProgressListenerVector",
      "com.sshtools.j2ssh.sftp.SshFxpRename",
      "uk.ac.sanger.artemis.util.PushBackException",
      "com.ibatis.sqlmap.engine.exchange.DataExchange",
      "uk.ac.sanger.artemis.components.FeatureDisplay$12",
      "com.sshtools.j2ssh.connection.IOChannel",
      "org.biojava.utils.SingletonList",
      "org.biojava.bio.symbol.SymbolList",
      "org.biojava.bio.BioException",
      "uk.ac.sanger.artemis.plot.CodonUsageFormatException",
      "com.ibatis.sqlmap.engine.type.TypeHandlerFactory$1",
      "com.ibatis.sqlmap.engine.mapping.parameter.ParameterMapping",
      "org.biojava.bio.seq.FramedFeature$Template",
      "org.biojava.bio.seq.homol.Homology",
      "com.ibatis.sqlmap.engine.exchange.BaseDataExchange",
      "com.sshtools.j2ssh.connection.SshMsgChannelData",
      "uk.ac.sanger.artemis.io.LocationParseNode",
      "uk.ac.sanger.artemis.plot.Codon12CorrelationAlgorithm",
      "uk.ac.sanger.artemis.util.WorkingGZIPInputStream",
      "com.ibatis.sqlmap.engine.mapping.statement.MappedStatement",
      "org.biojava.utils.ChangeType$1",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownAlphabet",
      "com.sshtools.j2ssh.connection.SshMsgRequestSuccess",
      "com.ibatis.sqlmap.client.SqlMapClient",
      "uk.ac.sanger.artemis.io.ComparableFeature",
      "uk.ac.sanger.artemis.SelectionChangeEvent",
      "uk.ac.sanger.artemis.plot.BaseAlgorithm",
      "uk.ac.sanger.artemis.io.Key",
      "org.biojava.bio.OverlayAnnotation",
      "org.biojava.bio.program.tagvalue.ChangeTable$Splitter",
      "uk.ac.sanger.artemis.Options",
      "org.biojava.bio.seq.impl.SimpleHomologyFeature",
      "uk.ac.sanger.artemis.io.SimpleDocumentEntry",
      "org.biojava.bio.symbol.BasisSymbol",
      "com.ibatis.sqlmap.engine.transaction.Transaction",
      "com.sshtools.j2ssh.connection.ChannelFactory",
      "uk.ac.sanger.artemis.io.FeatureHeader",
      "org.biojava.bio.seq.RNATools",
      "uk.ac.sanger.artemis.components.filetree.FileList",
      "com.sshtools.j2ssh.connection.ConnectionProtocol",
      "com.sshtools.j2ssh.connection.SshMsgChannelOpenConfirmation",
      "uk.ac.sanger.artemis.chado.Graph",
      "org.biojava.ontology.OntologyTerm",
      "uk.ac.sanger.artemis.plot.ATDeviationAlgorithm",
      "org.biojava.bio.seq.io.WordTokenization",
      "com.ibatis.common.beans.GenericProbe",
      "uk.ac.sanger.artemis.ChangeListener",
      "uk.ac.sanger.artemis.plot.LineAttributes",
      "org.apache.log4j.helpers.Loader",
      "org.biojava.utils.stax.SAX2StAXAdaptor$HandlerBinding",
      "org.biojava.bio.seq.impl.SimpleFeature",
      "org.biojava.ontology.DefaultOps",
      "com.ibatis.sqlmap.engine.type.TypeHandlerFactory",
      "com.sshtools.j2ssh.sftp.SshFxpInit",
      "org.apache.log4j.helpers.FileWatchdog",
      "uk.ac.sanger.artemis.components.genebuilder.GeneEditorPanel",
      "uk.ac.sanger.artemis.components.KeyChoice",
      "org.biojava.bio.symbol.AbstractSymbolList$ListView",
      "uk.ac.sanger.artemis.io.RawStreamSequence",
      "org.biojava.bio.seq.GappedSequence",
      "org.biojava.bio.symbol.Alignment",
      "org.apache.log4j.MDC",
      "org.biojava.bio.seq.impl.SimpleRestrictionSite",
      "uk.ac.sanger.artemis.io.QualifierInfoException",
      "org.gmod.schema.dao.SequenceDaoI",
      "uk.ac.sanger.artemis.sequence.SequenceChangeEvent",
      "com.sshtools.j2ssh.sftp.MessageRequestId",
      "org.biojava.utils.SmallMap",
      "org.biojava.bio.seq.StrandedFeature$Template",
      "com.sshtools.j2ssh.sftp.SshFxpReadDir",
      "com.sshtools.j2ssh.transport.HostKeyVerification",
      "org.biojava.bio.symbol.Symbol",
      "org.biojava.bio.seq.RealizingFeatureHolder",
      "org.biojava.bio.molbio.RestrictionSite$Template",
      "com.sshtools.j2ssh.io.UnsignedInteger64",
      "org.gmod.schema.sequence.FeatureCvTerm",
      "org.biojava.bio.seq.FramedFeature",
      "org.biojava.bio.seq.AbstractFeatureHolder",
      "com.ibatis.sqlmap.engine.config.MappedStatementConfig",
      "org.biojava.utils.ListTools",
      "uk.ac.sanger.artemis.components.genebuilder.gff.AddButton",
      "org.biojava.bio.symbol.AlphabetManager$AlphabetManagerHandler$AlphabetHandler",
      "uk.ac.sanger.artemis.io.DatabaseStreamFeature",
      "org.gmod.schema.dao.CvDaoI",
      "uk.ac.sanger.artemis.plot.GCWindowAlgorithm",
      "uk.ac.sanger.artemis.util.CacheHashMap",
      "org.biojava.bio.seq.Feature",
      "uk.ac.sanger.artemis.io.InvalidKeyException",
      "uk.ac.sanger.artemis.util.FTPSeekableStream",
      "com.ibatis.sqlmap.engine.exchange.ComplexDataExchange",
      "com.ibatis.sqlmap.engine.type.SqlTimestampTypeHandler",
      "uk.ac.sanger.artemis.io.Packing",
      "org.biojava.bio.symbol.AlphabetManager$ImmutableWellKnownAlphabetWrapper",
      "org.biojava.bio.seq.Sequence",
      "uk.ac.sanger.artemis.util.ByteBuffer",
      "com.sshtools.j2ssh.connection.InvalidChannelException",
      "uk.ac.sanger.artemis.io.SimpleEntryInformation",
      "uk.ac.sanger.artemis.components.DisplayAdjustmentListener",
      "org.biojava.utils.stax.StAXContentHandlerBase",
      "com.sshtools.j2ssh.transport.MessageNotAvailableException",
      "uk.ac.sanger.artemis.components.ZoomScrollBar",
      "uk.ac.sanger.artemis.io.StreamSequence",
      "com.ibatis.sqlmap.engine.config.SqlMapConfiguration",
      "uk.ac.sanger.artemis.io.Range",
      "uk.ac.sanger.artemis.sequence.Bases",
      "uk.ac.sanger.artemis.EntryGroupChangeListener",
      "uk.ac.sanger.artemis.components.LogViewer",
      "uk.ac.sanger.artemis.ActionController",
      "org.biojava.bio.symbol.AbstractRangeLocation",
      "uk.ac.sanger.artemis.io.BetweenRange",
      "uk.ac.sanger.artemis.ExternalProgramMonitor",
      "com.sshtools.j2ssh.transport.SshMessage",
      "com.sshtools.j2ssh.util.State",
      "uk.ac.sanger.artemis.j2ssh.SshLogin",
      "org.biojava.bio.program.tagvalue.ChangeTable",
      "org.biojava.bio.EmptyAnnotation",
      "uk.ac.sanger.artemis.plot.CumulativeGCSkewAlgorithm",
      "com.ibatis.sqlmap.engine.type.DateOnlyTypeHandler",
      "org.apache.log4j.PropertyConfigurator",
      "uk.ac.sanger.artemis.util.Document",
      "com.ibatis.sqlmap.client.event.RowHandler",
      "org.biojava.bio.symbol.AlphabetManager",
      "uk.ac.sanger.artemis.components.variant.TabixReader",
      "uk.ac.sanger.artemis.components.FileViewer",
      "uk.ac.sanger.artemis.Selection",
      "com.sshtools.j2ssh.sftp.SshFxpWrite",
      "org.biojava.utils.walker.WalkerFactory",
      "org.biojava.bio.seq.FeatureRealizer",
      "org.biojava.utils.bytecode.CodeException",
      "uk.ac.sanger.artemis.sequence.NoSequenceException",
      "org.biojava.bio.symbol.SparseCrossProductAlphabet",
      "uk.ac.sanger.artemis.components.QualifierTextArea",
      "uk.ac.sanger.artemis.plot.ICDIAlgorithm",
      "com.sshtools.j2ssh.connection.SshMsgGlobalRequest",
      "org.biojava.bio.MergeAnnotation",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownBasisSymbol",
      "org.biojava.bio.seq.impl.SimpleRemoteFeature",
      "org.apache.log4j.spi.LoggerRepository",
      "com.ibatis.common.beans.ProbeException",
      "com.sshtools.j2ssh.transport.TransportProtocolException",
      "uk.ac.sanger.artemis.components.Splash",
      "com.ibatis.sqlmap.engine.impl.ExtendedSqlMapClient",
      "uk.ac.sanger.artemis.io.EntryInformationException",
      "com.ibatis.common.beans.Probe",
      "com.sshtools.j2ssh.authentication.SshMsgUserAuthRequest",
      "com.sshtools.j2ssh.connection.SshMsgChannelSuccess",
      "uk.ac.sanger.artemis.io.GFFMisc",
      "uk.ac.sanger.artemis.FeatureSegmentVector",
      "org.biojava.ontology.OntologyTerm$Impl$1",
      "com.ibatis.sqlmap.engine.scope.StatementScope",
      "uk.ac.sanger.artemis.components.genebuilder.OpenSectionButton",
      "htsjdk.samtools.FileTruncatedException",
      "uk.ac.sanger.artemis.chado.IBatisDAO",
      "com.ibatis.sqlmap.engine.mapping.result.AutoResultMap",
      "uk.ac.sanger.artemis.components.filetree.RemoteFileNode",
      "org.biojava.bio.seq.impl.SimpleSimilarityPairFeature",
      "uk.ac.sanger.artemis.io.SimpleDocumentEntry$1",
      "com.sshtools.j2ssh.sftp.SshFxpStat",
      "org.biojava.bio.symbol.SimpleSymbolList$SSLIOListener",
      "org.biojava.bio.seq.RemoteFeature$Template",
      "uk.ac.sanger.artemis.plot.GCDeviationAlgorithm",
      "com.sshtools.j2ssh.sftp.SshFxpMkdir",
      "org.apache.log4j.Level",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownAtomicSymbol",
      "org.biojava.bio.symbol.AbstractReversibleTranslationTable",
      "com.sshtools.j2ssh.sftp.SshFxpOpen",
      "org.biojava.bio.seq.io.SeqIOAdapter",
      "uk.ac.sanger.artemis.components.FeatureDisplay",
      "com.sshtools.j2ssh.authentication.TerminatedStateException",
      "uk.ac.sanger.artemis.io.EntryInformation",
      "htsjdk.samtools.util.BlockCompressedInputStream",
      "org.biojava.bio.symbol.SimpleGeneticCodeTable",
      "com.ibatis.sqlmap.engine.type.UnknownTypeHandler",
      "uk.ac.sanger.artemis.sequence.MarkerChangeListener",
      "org.biojava.bio.seq.io.SeqIOListener",
      "org.biojava.utils.ChangeType",
      "uk.ac.sanger.artemis.io.ReadFormatException",
      "com.sshtools.j2ssh.sftp.SftpSubsystemClient",
      "com.sshtools.j2ssh.util.InvalidStateException",
      "org.biojava.ontology.OntologyOps",
      "org.biojava.utils.ChangeListener",
      "com.sshtools.j2ssh.connection.SshMsgChannelEOF",
      "uk.ac.sanger.artemis.components.BasePlot",
      "uk.ac.sanger.artemis.GotoEvent",
      "org.biojava.utils.AbstractChangeable",
      "org.biojava.bio.seq.SimpleFeatureHolder",
      "org.gmod.schema.sequence.FeaturePub",
      "com.sshtools.j2ssh.sftp.SshFxpSetStat",
      "com.sshtools.j2ssh.io.ByteArrayReader",
      "uk.ac.sanger.artemis.EntrySourceVector",
      "org.apache.log4j.Layout",
      "com.ibatis.sqlmap.client.SqlMapTransactionManager",
      "com.ibatis.sqlmap.engine.config.ResultMapConfig",
      "org.biojava.bio.symbol.EmptyAlphabet",
      "com.sshtools.j2ssh.sftp.SshFxpReadlink",
      "org.gmod.schema.analysis.AnalysisFeature",
      "com.ibatis.sqlmap.engine.mapping.parameter.ParameterMap",
      "org.gmod.schema.dao.SchemaDaoI",
      "uk.ac.sanger.artemis.LastSegmentException",
      "uk.ac.sanger.artemis.ChangeEvent",
      "org.biojava.bio.seq.SimpleFeatureRealizer",
      "org.gmod.schema.sequence.FeatureRelationship",
      "uk.ac.sanger.artemis.util.OutOfRangeException",
      "uk.ac.sanger.artemis.io.GenbankStreamFeature",
      "com.ibatis.sqlmap.engine.scope.SessionScope",
      "com.ibatis.common.logging.Log",
      "org.biojava.bio.symbol.SimpleBasisSymbol",
      "com.ibatis.sqlmap.engine.mapping.result.ResultMap",
      "org.biojava.utils.lsid.Identifiable",
      "org.biojava.bio.seq.io.CharacterTokenization$TPStreamParser",
      "org.biojava.bio.seq.DNATools$DNAComplementTranslationTable",
      "uk.ac.sanger.artemis.io.EMBLObject",
      "org.biojava.ontology.Variable",
      "uk.ac.sanger.artemis.ActionVector",
      "uk.ac.sanger.artemis.sequence.Strand",
      "uk.ac.sanger.artemis.chado.GmodDAO",
      "uk.ac.sanger.artemis.components.FeatureEdit",
      "org.apache.log4j.spi.DefaultRepositorySelector",
      "org.biojava.ontology.OntologyException",
      "uk.ac.sanger.artemis.OptionChangeListener",
      "com.sshtools.j2ssh.connection.ChannelOutputStream",
      "com.sshtools.j2ssh.sftp.SshFxpSymlink",
      "uk.ac.sanger.artemis.io.Sequence",
      "org.biojava.bio.symbol.LocationComparator",
      "uk.ac.sanger.artemis.components.variant.BCFReader",
      "uk.ac.sanger.artemis.util.LargeObjectDocument",
      "org.biojava.bio.program.tagvalue.PropertyChanger",
      "org.biojava.bio.program.tagvalue.ChangeTable$Changer",
      "uk.ac.sanger.artemis.io.GenbankMisc",
      "uk.ac.sanger.artemis.chado.JdbcDAO",
      "org.biojava.utils.bytecode.GeneratedClassLoader",
      "uk.ac.sanger.artemis.io.Location",
      "org.biojava.utils.stax.StAXContentHandler",
      "uk.ac.sanger.artemis.util.RemoteFileDocument",
      "uk.ac.sanger.artemis.components.SwingWorker",
      "uk.ac.sanger.artemis.io.PublicDBStreamFeature",
      "org.apache.log4j.or.ObjectRenderer",
      "uk.ac.sanger.artemis.util.DatabaseLocationParser",
      "uk.ac.sanger.artemis.io.FastaStreamSequence",
      "uk.ac.sanger.artemis.io.FeatureEnumeration",
      "uk.ac.sanger.artemis.components.QualifierTextArea$2",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownTokenizationWrapper",
      "uk.ac.sanger.artemis.components.CanvasPanel",
      "com.ibatis.sqlmap.engine.type.DateTypeHandler",
      "org.biojava.utils.ChangeForwarder",
      "org.apache.log4j.AsyncAppender",
      "uk.ac.sanger.artemis.io.StreamFeature",
      "com.ibatis.common.io.ReaderInputStream",
      "uk.ac.sanger.artemis.util.ReadOnlyException",
      "org.biojava.bio.symbol.GappedSymbolList",
      "uk.ac.sanger.artemis.EntryChangeEvent",
      "uk.ac.sanger.artemis.components.PlotMouseListener",
      "org.biojava.bio.symbol.HashedAlphabetIndex$HashComparator",
      "org.apache.log4j.AsyncAppender$Dispatcher",
      "org.biojava.bio.seq.FeatureFilter",
      "com.sshtools.j2ssh.sftp.SshFxpClose",
      "uk.ac.sanger.artemis.Feature",
      "uk.ac.sanger.artemis.io.EmblDocumentEntry",
      "org.biojava.bio.seq.homol.HomologyFeature$Template",
      "org.biojava.utils.cache.KeyedWeakReference",
      "com.ibatis.sqlmap.client.extensions.ResultGetter",
      "com.sshtools.j2ssh.subsystem.SubsystemChannel",
      "uk.ac.sanger.artemis.io.DocumentFeature",
      "org.biojava.bio.SimpleAnnotation",
      "com.sshtools.j2ssh.FileTransferProgress",
      "org.biojava.bio.symbol.IntegerAlphabet",
      "com.ibatis.sqlmap.engine.transaction.TransactionManager",
      "uk.ac.sanger.artemis.util.DatabaseDocument$CvTermThread",
      "uk.ac.sanger.artemis.plot.Algorithm",
      "org.biojava.bio.seq.impl.FeatureImpl",
      "org.apache.log4j.spi.LoggerFactory",
      "org.biojava.bio.symbol.DoubleAlphabet$DoubleSymbol",
      "org.apache.log4j.spi.Configurator",
      "uk.ac.sanger.artemis.io.MSPcrunchStreamFeature",
      "org.biojava.bio.seq.impl.SimpleFramedFeature",
      "org.gmod.schema.sequence.Feature",
      "org.biojava.bio.symbol.FiniteAlphabet",
      "org.biojava.bio.seq.FeatureFilter$OnlyChildren",
      "org.biojava.bio.seq.homol.SimilarityPairFeature$Template",
      "org.apache.log4j.PropertyWatchdog",
      "uk.ac.sanger.artemis.io.KeyVector",
      "org.gmod.schema.sequence.FeatureCvTermPub",
      "org.biojava.bio.Annotatable",
      "org.gmod.schema.utils.Rankable",
      "com.ibatis.sqlmap.engine.mapping.sql.Sql",
      "uk.ac.sanger.artemis.components.FileViewer$2",
      "com.ibatis.common.beans.ProbeFactory",
      "com.sshtools.j2ssh.sftp.SshFxpRead",
      "org.biojava.ontology.AlreadyExistsException",
      "uk.ac.sanger.artemis.FeatureVector",
      "uk.ac.sanger.artemis.io.EmblStreamSequence",
      "org.biojava.utils.stax.StringElementHandlerBase",
      "org.biojava.bio.seq.io.CrossProductTokenization",
      "com.ibatis.sqlmap.engine.scope.ErrorContext",
      "com.ibatis.sqlmap.engine.config.SqlSource",
      "org.biojava.bio.seq.FeatureHolder",
      "org.biojava.bio.symbol.FundamentalAtomicSymbol",
      "org.biojava.bio.symbol.AlphabetManager$AlphabetManagerHandler$CharacterTokenizationHandler$MappingHandler",
      "org.biojava.utils.ChangeForwarder$Retyper",
      "org.gmod.schema.dao.OrganismDaoI",
      "com.ibatis.sqlmap.engine.mapping.sql.stat.StaticSql",
      "org.biojava.bio.seq.io.SymbolTokenization",
      "com.sshtools.j2ssh.session.SessionChannelClient",
      "com.sshtools.j2ssh.connection.SshMsgChannelWindowAdjust",
      "htsjdk.samtools.util.LocationAware",
      "uk.ac.sanger.artemis.io.QualifierInfo",
      "uk.ac.sanger.artemis.io.IndexedGFFDocumentEntry$1",
      "org.biojava.utils.Unchangeable",
      "com.ibatis.common.resources.Resources",
      "org.apache.log4j.Priority",
      "uk.ac.sanger.artemis.components.FeatureDisplay$3",
      "org.biojava.bio.seq.RNATools$RNAComplementTranslationTable",
      "org.apache.log4j.LogManager",
      "org.gmod.schema.sequence.FeatureLoc",
      "org.biojava.bio.symbol.AlphabetIndex",
      "org.biojava.bio.symbol.AlphabetManager$AlphabetManagerHandler$SymbolHandler",
      "uk.ac.sanger.artemis.components.FeatureDisplay$2",
      "org.biojava.bio.seq.FeatureHolder$EmptyFeatureHolder",
      "org.biojava.ontology.Ontology$Impl$1",
      "com.sshtools.j2ssh.connection.SshMsgChannelFailure",
      "com.ibatis.common.logging.jakarta.JakartaCommonsLoggingImpl",
      "uk.ac.sanger.artemis.j2ssh.SshFileManager",
      "uk.ac.sanger.artemis.io.DocumentEntry",
      "org.biojava.bio.symbol.SimpleAtomicSymbol",
      "org.biojava.bio.symbol.EmptySymbolList",
      "org.apache.log4j.DefaultCategoryFactory",
      "uk.ac.sanger.artemis.io.BlastStreamFeature",
      "com.sshtools.j2ssh.subsystem.SubsystemMessageStore",
      "uk.ac.sanger.artemis.components.genebuilder.ortholog.MatchPanel",
      "org.apache.log4j.or.RendererMap",
      "uk.ac.sanger.artemis.io.OutOfDateException",
      "com.ibatis.sqlmap.engine.mapping.sql.simple.SimpleDynamicSql",
      "uk.ac.sanger.artemis.ExternalProgram",
      "com.sshtools.j2ssh.transport.Service",
      "uk.ac.sanger.artemis.io.EmblMisc",
      "org.gmod.schema.pub.PubDbXRef",
      "com.ibatis.sqlmap.engine.type.SqlDateTypeHandler",
      "org.biojava.bio.symbol.AbstractAlphabet",
      "org.gmod.schema.general.DbXRef",
      "uk.ac.sanger.artemis.io.PartialSequence",
      "org.biojava.utils.ChangeListener$AlwaysVetoListener",
      "uk.ac.sanger.artemis.EntryGroupChangeEvent",
      "uk.ac.sanger.artemis.plot.ScaledChiAlgorithm",
      "uk.ac.sanger.artemis.chado.SqlMapClientWrapper",
      "uk.ac.sanger.artemis.Entry",
      "org.biojava.bio.symbol.AlphabetManager$SizeQueen",
      "org.biojava.bio.symbol.HashedAlphabetIndex",
      "org.biojava.utils.ClassTools",
      "uk.ac.sanger.artemis.io.EmblStreamFeature",
      "uk.ac.sanger.artemis.io.QualifierParseException",
      "org.biojava.utils.cache.WeakValueHashMap",
      "uk.ac.sanger.artemis.ExternalProgramVector",
      "org.biojava.bio.symbol.IllegalSymbolException",
      "com.ibatis.sqlmap.engine.type.TypeHandler",
      "com.ibatis.sqlmap.engine.mapping.parameter.InlineParameterMapParser",
      "org.apache.log4j.CategoryKey",
      "uk.ac.sanger.artemis.plot.MRIAlgorithm",
      "uk.ac.sanger.artemis.io.Qualifier",
      "uk.ac.sanger.artemis.util.InputStreamProgressListener",
      "org.biojava.bio.program.tagvalue.ChangeTable$1",
      "com.sshtools.j2ssh.sftp.SshFxpFSetStat",
      "com.sshtools.j2ssh.sftp.SshFxpRemove",
      "com.sshtools.j2ssh.connection.SshMsgChannelExtendedData",
      "org.biojava.bio.seq.RemoteFeature",
      "htsjdk.samtools.seekablestream.SeekableBufferedStream",
      "org.apache.log4j.helpers.OnlyOnceErrorHandler",
      "org.biojava.bio.symbol.TranslationTable",
      "htsjdk.samtools.seekablestream.SeekableHTTPStream",
      "uk.ac.sanger.artemis.io.DocumentEntryAutosaveThread",
      "org.biojava.bio.symbol.CrossProductAlphabetIndex",
      "uk.ac.sanger.artemis.components.EntryGroupPanel",
      "com.sshtools.j2ssh.sftp.FileAttributes",
      "org.biojava.bio.seq.impl.SimpleStrandedFeature",
      "com.ibatis.sqlmap.engine.execution.BatchException",
      "uk.ac.sanger.artemis.sequence.Marker",
      "org.biojava.bio.seq.Feature$ByLocationComparator",
      "org.biojava.bio.symbol.DoubleAlphabet",
      "uk.ac.sanger.artemis.plot.CSCSAlgorithm",
      "org.apache.log4j.ProvisionNode",
      "com.sshtools.j2ssh.authentication.SshAuthenticationClient",
      "com.sshtools.j2ssh.connection.SshMsgChannelOpenFailure",
      "uk.ac.sanger.artemis.io.GFFDocumentEntry",
      "org.biojava.bio.symbol.AbstractSymbolList$EditTranslater",
      "com.ibatis.sqlmap.engine.mapping.result.ResultObjectFactory",
      "uk.ac.sanger.artemis.io.GFFStreamFeature",
      "org.biojava.bio.symbol.AlphabetManager$AlphabetManagerHandler",
      "org.biojava.bio.symbol.AtomicSymbol",
      "com.sshtools.j2ssh.transport.MessageStoreEOFException",
      "org.biojava.bio.dist.Distribution",
      "uk.ac.sanger.artemis.components.QualifierChoice",
      "org.apache.log4j.spi.RootLogger",
      "org.biojava.bio.BioError",
      "uk.ac.sanger.artemis.EntryVector",
      "org.apache.log4j.spi.ErrorHandler",
      "uk.ac.sanger.artemis.ExternalProgramException",
      "uk.ac.sanger.artemis.io.QualifierVector",
      "org.apache.log4j.spi.RendererSupport",
      "uk.ac.sanger.artemis.components.variant.TabixReader$Iterator",
      "org.biojava.bio.seq.OptimizableFilter",
      "uk.ac.sanger.artemis.util.FileDocument",
      "uk.ac.sanger.artemis.FeatureChangeListener",
      "uk.ac.sanger.artemis.FeatureChangeEvent",
      "com.ibatis.sqlmap.engine.execution.SqlExecutor",
      "uk.ac.sanger.artemis.plot.CodonWeight",
      "org.biojava.bio.symbol.AlphabetManager$GapSymbol",
      "uk.ac.sanger.artemis.io.LocationParseNodeVector",
      "uk.ac.sanger.artemis.io.LineGroup",
      "com.sshtools.j2ssh.connection.SshMsgChannelClose",
      "uk.ac.sanger.artemis.Entry$FeatureEnumerator",
      "org.apache.log4j.helpers.AppenderAttachableImpl",
      "com.ibatis.sqlmap.engine.type.TimeOnlyTypeHandler",
      "org.biojava.bio.symbol.AbstractLocation",
      "com.ibatis.sqlmap.engine.mapping.statement.RowHandlerCallback",
      "uk.ac.sanger.artemis.GotoEventSource",
      "org.apache.commons.net.ftp.FTPConnectionClosedException",
      "org.biojava.utils.ChangeSupport",
      "org.biojava.bio.seq.io.AlternateTokenization",
      "org.biojava.bio.molbio.RestrictionSite",
      "uk.ac.sanger.artemis.io.IndexedGFFDocumentEntry",
      "org.biojava.bio.seq.StrandedFeature$Strand",
      "uk.ac.sanger.artemis.components.genebuilder.ortholog.MatchPanel$3",
      "org.biojava.bio.symbol.AlphabetManager$1",
      "uk.ac.sanger.artemis.plot.GCSDWindowAlgorithm",
      "org.apache.log4j.Logger",
      "uk.ac.sanger.artemis.FeatureSegment",
      "com.ibatis.sqlmap.engine.mapping.statement.ExecuteListener",
      "org.biojava.bio.seq.homol.HomologyFeature",
      "uk.ac.sanger.artemis.EntryGroup",
      "uk.ac.sanger.artemis.io.Feature",
      "org.biojava.bio.AbstractAnnotation",
      "org.biojava.bio.symbol.ManyToOneTranslationTable",
      "com.ibatis.sqlmap.engine.mapping.statement.SelectStatement",
      "com.ibatis.sqlmap.engine.transaction.TransactionException",
      "com.sshtools.j2ssh.authentication.AuthenticationProtocolListener",
      "org.apache.log4j.helpers.LogLog",
      "uk.ac.sanger.artemis.io.QualifierInfoVector",
      "uk.ac.sanger.artemis.io.BlastEntryInformation",
      "com.ibatis.common.logging.LogFactory",
      "com.ibatis.sqlmap.engine.type.BaseTypeHandler",
      "uk.ac.sanger.artemis.components.DisplayComponent",
      "com.sshtools.j2ssh.connection.SshMsgChannelOpen",
      "org.apache.log4j.spi.RepositorySelector",
      "org.biojava.utils.ListTools$SeriesList",
      "org.biojava.bio.symbol.SimpleSymbolList",
      "uk.ac.sanger.artemis.plot.AGWindowAlgorithm",
      "com.ibatis.common.beans.DomProbe",
      "com.ibatis.sqlmap.engine.type.CustomTypeHandler",
      "org.biojava.utils.ChangeListener$LoggingListener",
      "org.biojava.bio.symbol.SingletonAlphabet",
      "org.biojava.bio.SmallAnnotation",
      "org.biojava.bio.symbol.ReversibleTranslationTable",
      "uk.ac.sanger.artemis.io.Entry",
      "uk.ac.sanger.artemis.util.LinePushBackReader",
      "org.apache.log4j.or.DefaultRenderer",
      "uk.ac.sanger.artemis.util.ProgressInputStream",
      "com.ibatis.common.jdbc.exception.NestedSQLException",
      "uk.ac.sanger.artemis.io.FeatureVector",
      "org.biojava.bio.symbol.LinearAlphabetIndex",
      "org.biojava.bio.symbol.AlphabetManager$AlphabetManagerHandler$SymbolHandler$1",
      "org.biojava.ontology.RemoteTerm",
      "com.ibatis.sqlmap.client.extensions.TypeHandlerCallback",
      "org.biojava.bio.symbol.Location",
      "org.apache.commons.logging.impl.Log4JLogger",
      "org.gmod.schema.organism.Organism",
      "org.gmod.schema.general.Db",
      "com.ibatis.sqlmap.engine.config.CacheModelConfig",
      "com.ibatis.sqlmap.engine.impl.SqlMapSessionImpl",
      "org.apache.log4j.Appender",
      "org.biojava.bio.symbol.SimpleReversibleTranslationTable",
      "org.biojava.bio.symbol.Alphabet",
      "org.biojava.bio.AnnotationChanger",
      "org.biojava.bio.symbol.AbstractSymbolList$EditScreener",
      "com.ibatis.sqlmap.engine.config.ParameterMapConfig",
      "org.biojava.utils.ListTools$5",
      "org.biojava.bio.seq.Frame",
      "uk.ac.sanger.artemis.chado.ChadoTransaction",
      "com.sshtools.j2ssh.transport.SshMsgServiceAccept",
      "org.biojava.utils.AssertionFailure",
      "uk.ac.sanger.artemis.FeaturePredicate",
      "com.sshtools.j2ssh.authentication.AuthenticationProtocolException",
      "org.apache.log4j.spi.HierarchyEventListener",
      "uk.ac.sanger.artemis.Logger",
      "org.biojava.bio.seq.IsTopLevel",
      "com.ibatis.sqlmap.engine.impl.SqlMapClientImpl",
      "com.ibatis.sqlmap.client.SqlMapSession",
      "org.gmod.schema.sequence.FeatureSynonym",
      "org.apache.log4j.spi.LoggingEvent",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownGapSymbol",
      "com.ibatis.sqlmap.engine.mapping.statement.CachingStatement",
      "uk.ac.sanger.artemis.io.QualifierLazyLoading",
      "uk.ac.sanger.artemis.util.DatabaseDocument",
      "com.sshtools.j2ssh.sftp.SshFxpRealPath",
      "uk.ac.sanger.artemis.FeatureEnumeration",
      "org.biojava.bio.symbol.AbstractSymbolList",
      "uk.ac.sanger.artemis.io.StreamFeatureTable",
      "uk.ac.sanger.artemis.SelectionChangeListener",
      "org.gmod.schema.dao.PubDaoI",
      "org.biojava.bio.symbol.RangeLocation",
      "uk.ac.sanger.artemis.GotoListener"
    );
  } 

  private static void resetClasses() {
    org.evosuite.runtime.classhandling.ClassResetter.getInstance().setClassLoader(Options_ESTest_scaffolding.class.getClassLoader()); 

    org.evosuite.runtime.classhandling.ClassStateSupport.resetClasses(
      "org.apache.log4j.Category",
      "org.apache.log4j.Logger",
      "org.apache.log4j.Priority",
      "org.apache.log4j.Level",
      "org.apache.log4j.or.RendererMap",
      "org.apache.log4j.helpers.OptionConverter",
      "org.apache.log4j.helpers.Loader",
      "org.apache.log4j.helpers.LogLog",
      "org.apache.log4j.PropertyConfigurator",
      "org.apache.log4j.LogManager",
      "org.apache.log4j.CategoryKey",
      "org.apache.log4j.ProvisionNode",
      "uk.ac.sanger.artemis.util.DatabaseDocument",
      "uk.ac.sanger.artemis.util.StringVector",
      "uk.ac.sanger.artemis.components.Splash",
      "uk.ac.sanger.artemis.util.FastVector",
      "uk.ac.sanger.artemis.io.KeyVector",
      "uk.ac.sanger.artemis.io.Key",
      "uk.ac.sanger.artemis.io.QualifierInfo",
      "uk.ac.sanger.artemis.ExternalProgram",
      "uk.ac.sanger.artemis.Options",
      "uk.ac.sanger.artemis.components.filetree.FileList",
      "uk.ac.sanger.artemis.j2ssh.SshLogin",
      "uk.ac.sanger.artemis.components.filetree.RemoteFileNode",
      "org.biojava.bio.AbstractAnnotation",
      "org.biojava.bio.SimpleAnnotation",
      "org.biojava.bio.seq.SimpleFeatureRealizer",
      "org.biojava.bio.seq.impl.FeatureImpl$1",
      "org.biojava.bio.seq.impl.FeatureImpl",
      "org.biojava.bio.symbol.AlphabetManager$GapSymbol",
      "org.biojava.bio.symbol.AlphabetManager$SizeQueen",
      "org.biojava.bio.symbol.IntegerAlphabet",
      "org.biojava.bio.symbol.DoubleAlphabet",
      "org.biojava.bio.symbol.SimpleSymbol",
      "org.biojava.bio.symbol.AbstractSimpleBasisSymbol",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownGapSymbol",
      "org.biojava.utils.ChangeType",
      "org.biojava.bio.EmptyAnnotation",
      "org.biojava.bio.Annotation",
      "org.biojava.bio.symbol.EmptyAlphabet",
      "org.biojava.bio.symbol.Alphabet",
      "org.biojava.utils.ListTools",
      "org.biojava.utils.SingletonList",
      "org.biojava.bio.SmallAnnotation",
      "org.biojava.utils.lsid.LifeScienceIdentifier",
      "org.biojava.utils.SmallMap",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownBasisSymbol",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownAtomicSymbol",
      "org.biojava.bio.symbol.FundamentalAtomicSymbol",
      "org.biojava.utils.ChangeListener",
      "org.biojava.utils.ChangeSupport",
      "org.biojava.bio.Annotatable",
      "org.biojava.bio.symbol.AbstractAlphabet",
      "org.biojava.bio.symbol.SingletonAlphabet",
      "org.biojava.bio.symbol.SimpleAlphabet",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownAlphabet",
      "org.biojava.bio.symbol.AlphabetManager$ImmutableWellKnownAlphabetWrapper",
      "org.biojava.bio.seq.io.CharacterTokenization",
      "org.biojava.bio.symbol.SimpleBasisSymbol",
      "org.biojava.bio.seq.io.AlternateTokenization",
      "org.biojava.bio.symbol.AlphabetManager",
      "org.biojava.bio.symbol.AlphabetManager$WellKnownTokenizationWrapper",
      "org.biojava.bio.symbol.SimpleSymbolList",
      "org.biojava.bio.seq.io.SymbolTokenization",
      "org.biojava.bio.symbol.SimpleReversibleTranslationTable",
      "org.biojava.bio.symbol.SimpleCrossProductAlphabet",
      "org.biojava.utils.ListTools$Triplet",
      "org.biojava.bio.symbol.SimpleAtomicSymbol",
      "org.biojava.bio.seq.io.WordTokenization",
      "org.biojava.bio.seq.io.NameTokenization",
      "org.biojava.bio.symbol.SimpleManyToOneTranslationTable",
      "org.biojava.bio.symbol.SimpleGeneticCodeTable",
      "org.biojava.bio.symbol.AbstractSymbolList$ListView",
      "org.biojava.bio.BioException",
      "org.biojava.bio.symbol.IllegalSymbolException",
      "org.biojava.bio.BioError",
      "org.biojava.bio.seq.RNATools",
      "org.biojava.bio.seq.DNATools",
      "uk.ac.sanger.artemis.io.PublicDBDocumentEntry",
      "uk.ac.sanger.artemis.io.FeatureVector",
      "uk.ac.sanger.artemis.ChangeEvent",
      "uk.ac.sanger.artemis.EntryGroupChangeEvent",
      "uk.ac.sanger.artemis.io.LineGroup",
      "uk.ac.sanger.artemis.io.Packing",
      "uk.ac.sanger.artemis.sequence.Bases",
      "uk.ac.sanger.artemis.sequence.Strand",
      "uk.ac.sanger.artemis.util.OutOfRangeException",
      "org.biojava.ontology.Ontology$Impl",
      "org.biojava.ontology.DefaultOps",
      "org.biojava.ontology.Ontology$Impl$1",
      "org.biojava.ontology.OntologyTerm$Impl",
      "org.biojava.bio.OverlayAnnotation",
      "org.biojava.bio.program.tagvalue.ChangeTable",
      "org.biojava.bio.AnnotationChanger",
      "uk.ac.sanger.artemis.util.DatabaseLocationParser",
      "uk.ac.sanger.artemis.sequence.NoSequenceException",
      "org.biojava.bio.MergeAnnotation",
      "org.biojava.bio.seq.Feature$Template",
      "org.biojava.bio.seq.StrandedFeature$Template",
      "org.biojava.bio.seq.FramedFeature$Template",
      "org.biojava.bio.seq.impl.SimpleFeature",
      "org.biojava.bio.seq.impl.SimpleStrandedFeature",
      "org.biojava.bio.seq.impl.SimpleFramedFeature",
      "uk.ac.sanger.artemis.EntryChangeEvent",
      "org.apache.log4j.MDC",
      "uk.ac.sanger.artemis.io.LocationParseNodeVector",
      "uk.ac.sanger.artemis.io.ReadFormatException",
      "uk.ac.sanger.artemis.io.LocationParseException",
      "uk.ac.sanger.artemis.components.BasePlotGroup",
      "uk.ac.sanger.artemis.components.CanvasPanel",
      "uk.ac.sanger.artemis.components.EntryGroupPanel",
      "uk.ac.sanger.artemis.components.FeatureDisplay",
      "uk.ac.sanger.artemis.components.ZoomScrollBar",
      "uk.ac.sanger.artemis.sequence.AminoAcidSequence",
      "uk.ac.sanger.artemis.SelectionChangeEvent",
      "uk.ac.sanger.artemis.components.Plot",
      "uk.ac.sanger.artemis.components.BasePlot",
      "uk.ac.sanger.artemis.io.IndexedGFFDocumentEntry",
      "org.apache.log4j.AsyncAppender",
      "org.biojava.bio.AnnotationRenamer",
      "org.apache.batik.ext.awt.ColorSpaceHintKey",
      "uk.ac.sanger.artemis.util.ByteBuffer",
      "uk.ac.sanger.artemis.chado.GmodDAO",
      "uk.ac.sanger.artemis.chado.IBatisDAO",
      "uk.ac.sanger.artemis.chado.SqlMapClientWrapper",
      "com.ibatis.common.resources.Resources",
      "com.ibatis.common.beans.ComplexBeanProbe",
      "com.ibatis.common.beans.GenericProbe",
      "com.ibatis.common.beans.ProbeFactory",
      "com.ibatis.sqlmap.engine.config.SqlMapConfiguration",
      "com.ibatis.sqlmap.engine.impl.SqlMapExecutorDelegate",
      "com.ibatis.sqlmap.engine.execution.SqlExecutor",
      "com.ibatis.sqlmap.engine.type.TypeHandlerFactory$1",
      "com.ibatis.sqlmap.engine.type.TypeHandlerFactory",
      "com.ibatis.sqlmap.engine.type.UnknownTypeHandler",
      "com.ibatis.sqlmap.engine.type.DateTypeHandler",
      "com.ibatis.sqlmap.engine.type.DateOnlyTypeHandler",
      "com.ibatis.sqlmap.engine.type.TimeOnlyTypeHandler",
      "com.ibatis.sqlmap.engine.type.SqlDateTypeHandler",
      "com.ibatis.sqlmap.engine.type.SqlTimeTypeHandler",
      "com.ibatis.sqlmap.engine.type.SqlTimestampTypeHandler",
      "com.ibatis.sqlmap.engine.exchange.ComplexDataExchange",
      "com.ibatis.common.logging.LogFactory",
      "com.ibatis.sqlmap.engine.impl.SqlMapClientImpl",
      "uk.ac.sanger.artemis.io.SimpleDocumentFeature",
      "uk.ac.sanger.artemis.io.PublicDBStreamFeature",
      "uk.ac.sanger.artemis.io.LocationParseNode",
      "uk.ac.sanger.artemis.io.QualifierVector",
      "uk.ac.sanger.artemis.io.MSPcrunchStreamFeature",
      "org.biojava.bio.seq.impl.SimpleHomologyFeature"
    );
  }
}
