/*
 * This file was automatically generated by EvoSuite
 * Fri Jan 12 15:15:47 GMT 2018
 */

package uk.ac.sanger.artemis.io;

import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;
import uk.ac.sanger.artemis.io.Packing;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Packing_ESTest extends Packing_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test00()  throws Throwable  {
      byte byte0 = Packing.pack('z');
      assertEquals((byte)15, byte0);
  }

  @Test(timeout = 4000)
  public void test01()  throws Throwable  {
      char[] charArray0 = new char[2];
      Packing.bases = charArray0;
      char char0 = Packing.unpack(0);
      assertEquals('\u0000', char0);
  }

  @Test(timeout = 4000)
  public void test02()  throws Throwable  {
      char[] charArray0 = new char[6];
      charArray0[0] = '6';
      Packing.bases = charArray0;
      char char0 = Packing.unpack((byte)0);
      assertEquals('6', char0);
  }

  @Test(timeout = 4000)
  public void test03()  throws Throwable  {
      Packing.bases = null;
      // Undeclared exception!
      try { 
        Packing.unpack(107);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.Packing", e);
      }
  }

  @Test(timeout = 4000)
  public void test04()  throws Throwable  {
      char[] charArray0 = new char[2];
      Packing.bases = charArray0;
      // Undeclared exception!
      try { 
        Packing.unpack((byte)4);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 4
         //
         verifyException("uk.ac.sanger.artemis.io.Packing", e);
      }
  }

  @Test(timeout = 4000)
  public void test05()  throws Throwable  {
      Packing.bases = null;
      // Undeclared exception!
      try { 
        Packing.pack('`');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.Packing", e);
      }
  }

  @Test(timeout = 4000)
  public void test06()  throws Throwable  {
      char[] charArray0 = new char[6];
      charArray0[0] = '6';
      Packing.bases = charArray0;
      byte byte0 = Packing.pack('6');
      assertEquals((byte)0, byte0);
  }

  @Test(timeout = 4000)
  public void test07()  throws Throwable  {
      byte byte0 = Packing.pack('n');
      assertEquals((byte)15, byte0);
  }

  @Test(timeout = 4000)
  public void test08()  throws Throwable  {
      byte byte0 = Packing.pack('t');
      assertEquals((byte)8, byte0);
  }

  @Test(timeout = 4000)
  public void test09()  throws Throwable  {
      byte byte0 = Packing.pack('c');
      assertEquals((byte)4, byte0);
  }

  @Test(timeout = 4000)
  public void test10()  throws Throwable  {
      byte byte0 = Packing.pack('g');
      assertEquals((byte)2, byte0);
  }

  @Test(timeout = 4000)
  public void test11()  throws Throwable  {
      byte byte0 = Packing.pack('a');
      assertEquals((byte)1, byte0);
  }

  @Test(timeout = 4000)
  public void test12()  throws Throwable  {
      byte byte0 = Packing.pack('6');
      assertEquals((byte)15, byte0);
  }

  @Test(timeout = 4000)
  public void test13()  throws Throwable  {
      char char0 = Packing.unpack((byte)0);
      assertEquals('u', char0);
  }

  @Test(timeout = 4000)
  public void test14()  throws Throwable  {
      char[] charArray0 = new char[6];
      Packing packing0 = new Packing(charArray0);
      byte byte0 = packing0.wordSize();
      assertEquals((byte)4, byte0);
  }
}
