/*
 * This file was automatically generated by EvoSuite
 * Fri Jan 12 16:42:24 GMT 2018
 */

package uk.ac.sanger.artemis.util;

import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;
import uk.ac.sanger.artemis.util.ByteBuffer;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class ByteBuffer_ESTest extends ByteBuffer_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test00()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      ByteBuffer byteBuffer1 = new ByteBuffer();
      // Undeclared exception!
      try { 
        byteBuffer1.append(byteBuffer0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
      }
  }

  @Test(timeout = 4000)
  public void test01()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byteBuffer0.append("^-WIpk*N1y");
      byteBuffer0.append(byteBuffer0);
      assertEquals(20, byteBuffer0.size());
  }

  @Test(timeout = 4000)
  public void test02()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byte[] byteArray0 = new byte[2];
      byteBuffer0.append(byteArray0);
      int int0 = byteBuffer0.size();
      assertEquals(2, int0);
  }

  @Test(timeout = 4000)
  public void test03()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byte[] byteArray0 = new byte[3];
      byteBuffer0.append(byteArray0, 1, 1);
      byteBuffer0.getBytes();
      assertEquals(1, byteBuffer0.size());
  }

  @Test(timeout = 4000)
  public void test04()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      // Undeclared exception!
      try { 
        byteBuffer0.append((byte[]) null, 1, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
      }
  }

  @Test(timeout = 4000)
  public void test05()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byte[] byteArray0 = new byte[4];
      // Undeclared exception!
      try { 
        byteBuffer0.append(byteArray0, (int) (byte) (-54), (-1));
        fail("Expecting exception: NegativeArraySizeException");
      
      } catch(NegativeArraySizeException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.util.ByteBuffer", e);
      }
  }

  @Test(timeout = 4000)
  public void test06()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      // Undeclared exception!
      try { 
        byteBuffer0.append((byte[]) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.util.ByteBuffer", e);
      }
  }

  @Test(timeout = 4000)
  public void test07()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byte[] byteArray0 = new byte[2];
      byteBuffer0.append(byteArray0);
      // Undeclared exception!
      try { 
        byteBuffer0.append(byteArray0, 2, 2);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
      }
  }

  @Test(timeout = 4000)
  public void test08()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byte[] byteArray0 = new byte[0];
      byteBuffer0.append("VTwrQ");
      // Undeclared exception!
      try { 
        byteBuffer0.append(byteArray0, (-905), (-905));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
      }
  }

  @Test(timeout = 4000)
  public void test09()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byteBuffer0.append("^-WIpk*N1y");
      byteBuffer0.append("");
      assertEquals(10, byteBuffer0.size());
  }

  @Test(timeout = 4000)
  public void test10()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      byte[] byteArray0 = new byte[0];
      byteBuffer0.append(byteArray0);
      byte[] byteArray1 = byteBuffer0.getBytes();
      assertArrayEquals(new byte[] {}, byteArray1);
      assertEquals(0, byteBuffer0.size());
  }

  @Test(timeout = 4000)
  public void test11()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      int int0 = byteBuffer0.size();
      assertEquals(0, int0);
  }

  @Test(timeout = 4000)
  public void test12()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      // Undeclared exception!
      try { 
        byteBuffer0.append((String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.util.ByteBuffer", e);
      }
  }

  @Test(timeout = 4000)
  public void test13()  throws Throwable  {
      ByteBuffer byteBuffer0 = new ByteBuffer();
      // Undeclared exception!
      try { 
        byteBuffer0.getBytes();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
      }
  }
}
